/// <reference types="knockout" />
import { InputElement, InputElementOptions } from "../../framework/inputElement";
export interface TextBoxOptions extends InputElementOptions<string> {
    text?: string | KnockoutObservable<string>;
    valueUpdateMode?: TextBoxValueUpdateMode;
}
export declare type TextBoxValueUpdateMode = "OnLostFocus" | "OnKeyPress";
export declare class TextBox extends InputElement<string> {
    constructor(options?: TextBoxOptions);
    private readonly innerText;
    text: string;
    valueUpdateMode: TextBoxValueUpdateMode;
    setText: (text: string, triggerOnchange: boolean, setObservable: boolean) => void;
}
